    # File lib/rbot/core/unicode.rb, line 76
        def UnicodePlugin.reconfigure_filter(bot)
            debug "configuring encodings"
            enable = bot.config['encoding.enable']
            if not enable
                bot.socket.filter = nil
                $KCODE = @@old_kcode
                return
            end
            charsets = bot.config['encoding.charsets']
            charsets = ['utf-8'] if charsets.empty?
            bot.socket.filter = UnicodeFilter.new(charsets[0], *charsets)
            $KCODE = 'u'
        end